Loading...
Searching...
No Matches
gtsam::internal::HasVectorSpacePrereqs< Class > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::HasVectorSpacePrereqs< Class >

Requirements on type to pass it to Manifold template below.

## Public Member Functions

| BOOST_CONCEPT_USAGE (HasVectorSpacePrereqs)

## Public Attributes

Class | p
Class | q
Vector | v

## Public Types

enum | { dim = Class::dimension }

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/VectorSpace.h